package com.bwie.common.exception.auth;

/**
 * @ClassName:
 * @Description:  自定义异常
 * @Author: zhuwenqiang
 * @Date: 2023/12/19
 */
public class AuthException extends RuntimeException {

    /**
     * 状态码
     */
    private int code;

    /**
     * 错误信息
     */
    private String message;

    public AuthException() {}

    public AuthException(String message) {
        super(message);
    }

    public AuthException(int code, String message) {
        this.code = code;
        this.message = message;
    }

}
