package com.bwie.common.log.filter;

import com.alibaba.fastjson.serializer.SimplePropertyPreFilter;

/**
 * @ClassName:
 * @Description:  对象转JSON字符串过滤指定字段
 * @Author: zhuwenqiang
 * @Date: 2023/12/23
 */
public class PropertyPreExcludeFilter extends SimplePropertyPreFilter {

    public PropertyPreExcludeFilter() {}

    /**
     * 过滤指定属性
     * @param filters   需要过滤的属性
     * @return
     */
    public PropertyPreExcludeFilter addExclude(String ...filters) {
        for (int i = 0; i < filters.length; i++) {
            this.getExcludes().add(filters[i]);
        }
        return this;
    }

}
