package com.bwie.auth;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author: zhx
 * @Package: com.bwie.auth
 * @Datetime: 2023/12/25 17:26
 * @Filename: AuthApplication
 * @Description:
 */
@SpringBootApplication
@EnableFeignClients(basePackages = "com.bwie")
public class AuthApplication {

    public static void main(String[] args) {

        SpringApplication.run(AuthApplication.class,args);

    }

}
